> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-doc-2189.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Check registry quota

> Check if the registry creation request exceeds any quotas.



## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/cloud_api.yaml post /cloud/v1/registries/{project_id}/{region_id}/check_limits
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '447212539857'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/registries/{project_id}/{region_id}/check_limits:
    post:
      tags:
        - Registry
      summary: Check registry quota
      description: Check if the registry creation request exceeds any quotas.
      operationId: RegistryCheckLimitsHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckQuotasBeforeRegistryCreation'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryQuotaCheckSerializer'
components:
  schemas:
    CheckQuotasBeforeRegistryCreation:
      properties:
        storage_limit:
          default: 0
          description: Registry storage limit, GiB
          example: 5
          examples:
            - 5
          title: Storage Limit
          type: integer
      title: CheckQuotasBeforeRegistryCreation
      type: object
    RegistryQuotaCheckSerializer:
      properties:
        registry_count_limit:
          description: Registries count limit
          example: 5
          examples:
            - 5
          title: Registry Count Limit
          type: integer
        registry_count_requested:
          description: Registries count requested
          example: 1
          examples:
            - 1
          title: Registry Count Requested
          type: integer
        registry_count_usage:
          description: Registries count usage
          example: 5
          examples:
            - 5
          title: Registry Count Usage
          type: integer
        registry_storage_limit:
          description: Registries storage limit, GiB
          example: 500
          examples:
            - 500
          title: Registry Storage Limit
          type: integer
        registry_storage_requested:
          description: Registries storage requested, GiB
          example: 100
          examples:
            - 100
          title: Registry Storage Requested
          type: integer
        registry_storage_usage:
          description: Registries storage usage, GiB
          example: 450
          examples:
            - 450
          title: Registry Storage Usage
          type: integer
      title: RegistryQuotaCheckSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````